-オープンソースのSNSエンジン OpenPNEプロジェクト-

OpenPNE 3.3.1 リリースのお知らせ

12 / 17 木曜日 2009

OpenPNE 開発チームの海老原です。

本日 2009/12/17 (木)、開発版 OpenPNE 3.3.1 をリリースしました。

今回のリリースでは、コミュニティ副管理者機能の追加、 OpenPNE 2.14.x からの移行のサポート、 OpenPNE 2 からの移行手段の整備がおこなわれています。

次の OpenPNE 3.3.2 のリリースは 2009/12/21 (月) を予定しています。

機能追加・機能改善

  • #172: Add an ability for sub-manager of community. コミュニティ副管理人機能を追加 (Shogo Kawahara)
  • #334: Fix Plugin’s skeleton for symfony1.4 (Pluginのスケルトンをsymfony1.4に対応させる) (Shogo Kawahara)
  • #353: Added support for migrating from OpenPNE 2.14 (OpenPNE 2.14 からの移行をサポートする) (Kousuke Ebihara)
  • #360: [openpne:upgrade-from-2] Add support for converting sub-manager of community (コミュニティ副管理者のコンバートをサポートする) (Kousuke Ebihara)
  • #363: [openpne:upgrade-from-2] Improve to not having to set database configuration (データベースに関する設定をおこなわなくても済むようにする) (Kousuke Ebihara)

その他の機能追加・機能改善については、redmine.openpne.jp のバージョン情報 をご覧ください。

バグ修正

※こちらに掲載されているバグ修正は、「安定版で既に修正されたもの」「これからリリースされる安定版でも修正されるもの」が含まれます。

  • #350: [openpne:upgrade-from-2] A notice is caused on loading config.OpenPNE2.php (config.OpenPNE2.php を読み込む際に Notice エラーが発生する) (Kousuke Ebihara)
  • #352: [openpne:upgrade-from-2] “Allowed memory” error is caused on converting “file” table (“Allowed memory” エラーが file テーブルの変換の際に発生する) (Kousuke Ebihara)
  • #354: ‘You must provide a “config_dir” option.’ error in installing plugin (プラグインをインストールする際に 「You must provide a “config_dir” option.」というエラーが出力される) (Kousuke Ebihara)
  • #355: The sfWebRequest::checkCSRFProtection() can’t validate token via sfForm (sfWebRequest::checkCSRFProtection() が sfForm のトークンをバリデートしない) (Kousuke Ebihara)

その他のバグ修正については、redmine.openpne.jp のバージョン情報 をご覧ください。

バンドルされるプラグインの追加・更新情報

以下のプラグインが更新されます。

opDiaryPlugin 0.9.2 -> 0.9.3
リリース告知

バージョンアップ・インストール

OpenPNE 2 からのアップグレード

OpenePNE 2 からのアップグレード方法は、同梱の OpenPNE 2 からのアップグレード手順 をご覧ください。

バージョンアップ

バージョンアップ方法は、OpenPNE3.2 バージョンアップ手順 をご覧ください。

インストール

インストール方法は、同梱の OpenPNE3.2 セットアップ手順 をご覧ください。

ダウンロード・バージョン情報

ダウンロード

http://www.openpne.jp/pne-downloads

バージョン情報

redmine.openpne.jp のバージョン情報

コメント:2

ぷに+ 09-12-17 (木) 17:34

OpenPNE 3.3.1の初回インストール時に databases.yml がロードできないというエラーが発生する。

Configuration file “~pne/config/databases.yml” does not exist or is not readable.

masa 09-12-22 (火) 15:11

3.3.2のリリースはいつごろになりますでしょうか?

コメントフォーム
お名前やメールアドレスを記録しますか?

トラックバック:0

この記事のトラックバックURL
https://www.openpne.jp/archives/4074/trackback/

ページの先頭に戻る